<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muc.MucRoomState</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.muc-module.html">Module&nbsp;muc</a> ::
        Class&nbsp;MucRoomState
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class MucRoomState</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState">source&nbsp;code</a></span></p>
Describes the state of a MUC room, handles room events
and provides an interface for room actions.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">manager</span>,
        <span class="summary-sig-arg">own_jid</span>,
        <span class="summary-sig-arg">room_jid</span>,
        <span class="summary-sig-arg">handler</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#get_user" class="summary-sig-name">get_user</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">nick_or_jid</span>,
        <span class="summary-sig-arg">create</span>=<span class="summary-sig-default">False</span>)</span><br />
      Get a room user with given nick or JID.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_user">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#set_stream" class="summary-sig-name">set_stream</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stream</span>)</span><br />
      Called when current stream changes.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.set_stream">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#join" class="summary-sig-name">join</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxchars</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxstanzas</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_seconds</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_since</span>=<span class="summary-sig-default">None</span>)</span><br />
      Send a join request for the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.join">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="leave"></a><span class="summary-sig-name">leave</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Send a leave request for the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.leave">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#send_message" class="summary-sig-name">send_message</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">body</span>)</span><br />
      Send a message to the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.send_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#set_subject" class="summary-sig-name">set_subject</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">subject</span>)</span><br />
      Send a subject change request to the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.set_subject">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#change_nick" class="summary-sig-name">change_nick</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">new_nick</span>)</span><br />
      Send a nick change request to the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.change_nick">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#get_room_jid" class="summary-sig-name">get_room_jid</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">nick</span>=<span class="summary-sig-default">None</span>)</span><br />
      Get own room JID or a room JID for given <code class="link">nick</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_room_jid">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#get_nick" class="summary-sig-name">get_nick</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get own nick.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_nick">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_available_presence" class="summary-sig-name">process_available_presence</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process &lt;presence/&gt; received from the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_available_presence">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_unavailable_presence" class="summary-sig-name">process_unavailable_presence</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process &lt;presence type=&quot;unavailable&quot;/&gt; received from the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_unavailable_presence">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_groupchat_message" class="summary-sig-name">process_groupchat_message</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process &lt;message type=&quot;groupchat&quot;/&gt; received from the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_groupchat_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_error_message" class="summary-sig-name">process_error_message</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process &lt;message type=&quot;error&quot;/&gt; received from the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_error_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_error_presence" class="summary-sig-name">process_error_presence</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process &lt;presence type=&quot;error&quot;/&gt; received from the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_error_presence">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_configuration_form_success" class="summary-sig-name">process_configuration_form_success</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process successful result of a room configuration form request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_form_success">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_configuration_form_error" class="summary-sig-name">process_configuration_form_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process error response for a room configuration form request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_form_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#request_configuration_form" class="summary-sig-name">request_configuration_form</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Request a configuration form for the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.request_configuration_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_configuration_success" class="summary-sig-name">process_configuration_success</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process success response for a room configuration request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_success">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#process_configuration_error" class="summary-sig-name">process_configuration_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process error response for a room configuration request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#configure_room" class="summary-sig-name">configure_room</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Configure the room using the provided data.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.configure_room">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomState-class.html#request_instant_room" class="summary-sig-name">request_instant_room</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Request an &quot;instant room&quot; -- the default configuration for a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.request_instant_room">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="configured"></a><span class="summary-name">configured</span><br />
      : <code class="link">False</code> if the room requires configuration.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="handler"></a><span class="summary-name">handler</span><br />
      : MucRoomHandler object containing callbacks to be called.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="joined"></a><span class="summary-name">joined</span><br />
      : True if the channel is joined.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="manager"></a><span class="summary-name">manager</span><br />
      : MucRoomManager object managing this room.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="me"></a><span class="summary-name">me</span><br />
      : MucRoomUser instance of the owner.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="own_jid"></a><span class="summary-name">own_jid</span><br />
      : real jid of the owner (client using this class).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="room_jid"></a><span class="summary-name">room_jid</span><br />
      : room jid of the owner.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="subject"></a><span class="summary-name">subject</span><br />
      : current subject of the room.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muc.MucRoomState-class.html#users" class="summary-name">users</a><br />
      : dictionary of users in the room.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">manager</span>,
        <span class="sig-arg">own_jid</span>,
        <span class="sig-arg">room_jid</span>,
        <span class="sig-arg">handler</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>manager</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomManager-class.html" class="link">MucRoomManager</a>) - : an object to manage this room.</li>
        <li><strong class="pname"><code>own_jid</code></strong> (: JID) - : real JID of the owner (client using this class).</li>
        <li><strong class="pname"><code>room_jid</code></strong> (: JID) - : room JID of the owner (provides the room name and
the nickname).</li>
        <li><strong class="pname"><code>handler</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html" class="link">MucRoomHandler</a>) - : an object to handle room events.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_user"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_user</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">nick_or_jid</span>,
        <span class="sig-arg">create</span>=<span class="sig-default">False</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_user">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get a room user with given nick or JID.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>nick_or_jid</code></strong> (: <code class="link">unicode</code> or <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : the nickname or room JID of the user requested.</li>
        <li><strong class="pname"><code>create</code></strong> (: <code class="link">bool</code>) - : if <code class="link">True</code> and <code class="link">nick_or_jid</code> is a JID, then a new
user object will be created if there is no such user in the room.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a></dt>
        <dd>the named user or <code class="link">None</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_stream"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_stream</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stream</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.set_stream">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when current stream changes.</p>
<p>Mark the room not joined and inform <a href="pyxmpp.jabber.muc.MucRoomState-class.html#handler" class="link">self.handler</a> that it was left.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stream</code></strong> (: <a href="pyxmpp.stream.Stream-class.html" class="link">pyxmpp.stream.Stream</a>) - : the new stream.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="join"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">join</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxchars</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxstanzas</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_seconds</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_since</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.join">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Send a join request for the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>password</code></strong> (: <code class="link">unicode</code>) - : password to the room.</li>
        <li><strong class="pname"><code>history_maxchars</code></strong> (: <code class="link">int</code>) - : limit of the total number of characters in
history.</li>
        <li><strong class="pname"><code>history_maxstanzas</code></strong> (: <code class="link">int</code>) - : limit of the total number of messages in
history.</li>
        <li><strong class="pname"><code>history_seconds</code></strong> (: <code class="link">int</code>) - : send only messages received in the last
<code class="link">history_seconds</code> seconds.</li>
        <li><strong class="pname"><code>history_since</code></strong> (: <code class="link">datetime.datetime</code>) - : Send only the messages received since the
dateTime specified (UTC).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="send_message"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">send_message</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">body</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.send_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Send a message to the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>body</code></strong> (: <code class="link">unicode</code>) - : the message body.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_subject"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_subject</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">subject</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.set_subject">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Send a subject change request to the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>subject</code></strong> (: <code class="link">unicode</code>) - : the new subject.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="change_nick"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">change_nick</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">new_nick</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.change_nick">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Send a nick change request to the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>new_nick</code></strong> (: <code class="link">unicode</code>) - : the new nickname requested.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_room_jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_room_jid</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">nick</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_room_jid">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get own room JID or a room JID for given <code class="link">nick</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>nick</code></strong> (: <code class="link">unicode</code>) - : a nick for which the room JID is requested.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>the room JID.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_nick"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_nick</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.get_nick">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get own nick.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>own nick.</dd>
  </dl>
</td></tr></table>
</div>
<a name="process_available_presence"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_available_presence</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_available_presence">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process &lt;presence/&gt; received from the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_unavailable_presence"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_unavailable_presence</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_unavailable_presence">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process &lt;presence type=&quot;unavailable&quot;/&gt; received from the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="link">MucPresence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_groupchat_message"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_groupchat_message</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_groupchat_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process &lt;message type=&quot;groupchat&quot;/&gt; received from the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.message.Message-class.html" class="link">Message</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_error_message"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_error_message</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_error_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process &lt;message type=&quot;error&quot;/&gt; received from the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.message.Message-class.html" class="link">Message</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_error_presence"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_error_presence</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_error_presence">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process &lt;presence type=&quot;error&quot;/&gt; received from the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_configuration_form_success"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_configuration_form_success</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_form_success">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process successful result of a room configuration form request.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_configuration_form_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_configuration_form_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_form_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process error response for a room configuration form request.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="request_configuration_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">request_configuration_form</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.request_configuration_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Request a configuration form for the room.</p>
<p>When the form is received <code class="link">self.handler.configuration_form_received</code> will be called.
When an error response is received then <code class="link">self.handler.error</code> will be called.</p>
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>id of the request stanza.</dd>
  </dl>
</td></tr></table>
</div>
<a name="process_configuration_success"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_configuration_success</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_success">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process success response for a room configuration request.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="process_configuration_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">process_configuration_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.process_configuration_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process error response for a room configuration request.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="configure_room"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">configure_room</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.configure_room">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Configure the room using the provided data.
Do nothing if the provided form is of type 'cancel'.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form</code></strong> (: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">Form</a>) - : the configuration parameters. Should be a 'submit' form made by filling-in
the configuration form retireved using <a href="pyxmpp.jabber.muc.MucRoomState-class.html#request_configuration_form" class="link">self.request_configuration_form</a> or
a 'cancel' form.</li>
    </ul></dd>
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>id of the request stanza or <code class="link">None</code> if a 'cancel' form was provieded.</dd>
  </dl>
</td></tr></table>
</div>
<a name="request_instant_room"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">request_instant_room</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomState.request_instant_room">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Request an &quot;instant room&quot; -- the default configuration for a MUC room.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>id of the request stanza.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="users"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">users</h3>
  : dictionary of users in the room. Nicknames are the keys.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:01 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
